Page MenuHomePhabricator

Thanks button not loading on mobile
Closed, ResolvedPublic

Description

Error: Module not found: toast Error: Module not found: toast

Doh.
It should appear on https://en.m.wikipedia.org/wiki/Special:MobileDiff/589569887 but isn't.

Details

Related Gerrit Patches:
mediawiki/extensions/Thanks : wmf/1.25wmf13Mobile: Conform to new LoggingSchema
mediawiki/extensions/Thanks : wmf/1.25wmf14Mobile: Conform to new LoggingSchema
mediawiki/extensions/Thanks : wmf/1.25wmf15Mobile: Conform to new LoggingSchema
mediawiki/extensions/Thanks : masterMobile: Conform to new LoggingSchema
mediawiki/extensions/Thanks : masterMake sure, that toast is loaded for Thanks notifications
mediawiki/extensions/MobileFrontend : masterMake sure, that toast is loaded for Thanks notifications

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson changed Security from none to None.
Jdlrobson added a subscriber: Jdlrobson.

Fix should come with a test of some sort so this doesn't happen again!

Quiddity added a subscriber: Quiddity.EditedDec 9 2014, 12:02 AM

Note 1: ^ that task (T63737) is asking for Thank links to either have a confirmation step, or to be removed, from the mobile history pages.

Note 2: The example link (https://en.m.wikipedia.org/wiki/Special:MobileDiff/589569887) does display a Thank button, when viewed on my desktop, but it doesn't display on my phone.

This should be good first task to fix. It looks like a dependency issues.

Florian added a subscriber: Florian.Dec 9 2014, 5:31 AM
Florian claimed this task.Dec 9 2014, 11:13 AM

Change 178471 had a related patch set uploaded (by Florianschmidtwelzow):
Make sure, that toast is loaded for Thanks notifications

https://gerrit.wikimedia.org/r/178471

Patch-For-Review

Florian triaged this task as Unbreak Now! priority.Dec 9 2014, 11:19 AM
Florian moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.

Change 178558 had a related patch set uploaded (by Florianschmidtwelzow):
Make sure, that toast is loaded for Thanks notifications

https://gerrit.wikimedia.org/r/178558

Patch-For-Review

Change 178471 abandoned by Florianschmidtwelzow:
Make sure, that toast is loaded for Thanks notifications

Reason:
I0fa25512ef4be21855b0f83a4670e8291657e3e4

https://gerrit.wikimedia.org/r/178471

Change 178558 merged by jenkins-bot:
Make sure, that toast is loaded for Thanks notifications

https://gerrit.wikimedia.org/r/178558

Florian closed this task as Resolved.Dec 9 2014, 7:27 PM
Qgil added a subscriber: Qgil.Dec 17 2014, 9:51 AM

Although I can see the Thanks button here: https://m.mediawiki.org/wiki/Special:MobileDiff/1319901

The button that previously worked is still not visible for me on Firefox or Chrome beta browsers on Android (experimental mode both). Clicking items from the mobile watchlist send me to diffs with no Thanks (in fact with Chrome I don't even see the author; Firefox does show it).

@Qgil: Hmm, can't reproduce on mediawiki.org, alpha and firefox :/ I see the thanks button (and the author) when i click on an item in the watchlist. Have you an example link where you don't see the thanks button? Are there any JavaScript errors in your console (Crtl + J)?

Qgil added a comment.Dec 17 2014, 12:08 PM

https://ca.m.wikipedia.org/wiki/Especial:MobileDiff/14464985 seen in Firefox Mobile for Android (Experimental mode)

Same page seen from Firefox browser for Debian (Iceweasel)

"JQMIGRATE: Logging is active" load.php:150
"Exception thrown by ext.thanks.mobilediff" load.php:161
"Error: Module not found: toast" Error: Module not found: toast
Stack trace:
[object Object]

Same page seen from Chrome for Debian

load.php?debug=false&lang=ca&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20141210T…:150 JQMIGRATE: Logging is active
load.php?debug=false&lang=ca&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20141210T…:161 Exception thrown by ext.thanks.mobilediff
load.php?debug=false&lang=ca&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20141210T…:161 Error: Module not found: toast              
Error: Module not found: toastload.php?debug=false&lang=ca&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20141210T…:161 log

All three consistent: no Thanks button.

https://m.mediawiki.org/wiki/Special:MobileDiff/1320003 on Chrome beta for Android (Experimental mode)

No Thanks button, no author info, no idea how to debug. The page looks good in Chrome and Iceweasel for Debian.

PS: Ctrl + Shift + I here. :)

@Qgil: Argh, i missed to cherry pick the change and so nobody deployed it into the actual wikipedias :( That means, that the change (which fixed this issue) will be deployed today, what you see is the problem described in this task.

https://m.mediawiki.org/wiki/Special:MobileDiff/1320003 on Chrome beta for Android (Experimental mode)

Hmm, at least on Firefox and chrome desktop the author and thanks button is visible. I will check this later today when i have a little bit more time, ok? :) That looks curios.

Qgil added a comment.Dec 18 2014, 12:32 PM

Thanks button is back both in Firefox and Chrome mobile! \o/

Re-opening, I see no Thank button in Firefox or Opera (e.g. this random diff). I get this error in webconsole:

"Exception thrown by ext.thanks.mobilediff" load.php:150
"Error: Module not found: loggingSchemas/MobileWebClickTracking" Error: Module not found: loggingSchemas/MobileWebClickTracking
Stack trace:
.require@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=ext.centralNotice.bannerChoiceData%7Cext.centralNotice.bannerController.lib%2Cmobile%2Cmobiledevice%7Cext.mantle%7Cext.mantle.hogan%2Cmodules%2Coo%7Cjquery.accessKeyLabel%2Cclient%2Ccookie%2CmwExtension%7Cmediawiki.cldr%2CjqueryMsg%2Clanguage%2Cnotify%2Ctemplate%2Cutil%7Cmediawiki.language.data%2Cinit%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.startup%7Cmobile.head%2Ctemplates%7Coojs&skin=minerva&version=20150109T030008Z&*:28:214
@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=ext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.eventLogging.subscriber%7Cext.gadget.switcher%7Cext.mantle.views%7Cext.thanks.mobilediff%7Cext.wikimediaEvents.deprecate%2Cstatsd%7Cjquery.hidpi%7Cmediawiki.api%2Chidpi%2Cuser%7Cmediawiki.ui.anchor%2Cinput%7Cmobile.ajax%2Cdrawers%2Ceditor%2Cissues%2CloggingSchemas%2Coverlays%2Credirect%2Credlinks%2Creferences%2Csearch%2Csettings%2Cstable%2Cstartup%2Ctoast%2Ctoggling%2Cuser%2Cwatchstar%2Cwikigrok%7Cmobile.pagelist.scripts%7Cmobile.special.mobilediff.scripts%7Cmobile.upload.ui%7Cmobile.wikigrok.abTest%7Cschema.MobileWebDiffClickTracking%2CMobileWebEditing%2CMobileWebMainMenuClickTracking%2CMobileWebUIClickTracking%2CMobileWebUploads%2CMobileWebWatchlistClickTracking%2CMobileWebWikiGrok%2CMobileWebWikiGrokError%2CNavigationTiming%2CPopups%2CSaveTiming%2CUniversalLanguageSelector%7Cuser.defaults&skin=minerva&version=20150109T150504Z&*:12:844
@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=ext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.eventLogging.subscriber%7Cext.gadget.switcher%7Cext.mantle.views%7Cext.thanks.mobilediff%7Cext.wikimediaEvents.deprecate%2Cstatsd%7Cjquery.hidpi%7Cmediawiki.api%2Chidpi%2Cuser%7Cmediawiki.ui.anchor%2Cinput%7Cmobile.ajax%2Cdrawers%2Ceditor%2Cissues%2CloggingSchemas%2Coverlays%2Credirect%2Credlinks%2Creferences%2Csearch%2Csettings%2Cstable%2Cstartup%2Ctoast%2Ctoggling%2Cuser%2Cwatchstar%2Cwikigrok%7Cmobile.pagelist.scripts%7Cmobile.special.mobilediff.scripts%7Cmobile.upload.ui%7Cmobile.wikigrok.abTest%7Cschema.MobileWebDiffClickTracking%2CMobileWebEditing%2CMobileWebMainMenuClickTracking%2CMobileWebUIClickTracking%2CMobileWebUploads%2CMobileWebWatchlistClickTracking%2CMobileWebWikiGrok%2CMobileWebWikiGrokError%2CNavigationTiming%2CPopups%2CSaveTiming%2CUniversalLanguageSelector%7Cuser.defaults&skin=minerva&version=20150109T150504Z&*:12:1
runScript@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:160:485
execute/</checkCssHandles@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:160:970
execute@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:161:749
handlePending@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:159:28
runScript@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:160:497
execute/</checkCssHandles@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:160:970
execute@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:161:749
handlePending@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:159:28
runScript@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:160:497
execute/</checkCssHandles@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:160:970
execute/</cssHandle/<@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:161:100
jQuery.Callbacks/fire@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:44:928
jQuery.Callbacks/self.fireWith@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:46:258
jQuery.Callbacks/self.fire@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:46:301
addEmbeddedCSS@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:155:871
addEmbeddedCSS/<@https://bits.wikimedia.org/en.wikipedia.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20150107T194221Z:155:333
Quiddity reopened this task as Open.Jan 10 2015, 1:57 AM

Change 184083 had a related patch set uploaded (by Florianschmidtwelzow):
Mobile: Conform to new LoggingSchema

https://gerrit.wikimedia.org/r/184083

Patch-For-Review

Change 184084 had a related patch set uploaded (by Florianschmidtwelzow):
Mobile: Conform to new LoggingSchema

https://gerrit.wikimedia.org/r/184084

Patch-For-Review

Change 184085 had a related patch set uploaded (by Florianschmidtwelzow):
Mobile: Conform to new LoggingSchema

https://gerrit.wikimedia.org/r/184085

Patch-For-Review

Is this the same issue as T86687 ?

Yap :( Now it's in production on wikipedia. There are still flow tests failing, anyone an idea?

Change 184083 merged by Mattflaschen:
Mobile: Conform to new LoggingSchema

https://gerrit.wikimedia.org/r/184083

Change 184976 had a related patch set uploaded (by Florianschmidtwelzow):
Mobile: Conform to new LoggingSchema

https://gerrit.wikimedia.org/r/184976

Patch-For-Review

Jdlrobson closed this task as Resolved.Jan 14 2015, 11:45 PM

Loading on beta labs again.

Yes, but it should be backported i think. Its now in production and wmf15 was branched before the merge of this (if i'm right, haven't checked from mobile phone), so the next planned release with this fix would be wmf16, and this are 14 days before it will deployed on wikipedias. If there are no other opinions, i will try to plan a SWAT for it tomorrow, ok? :)

Agreed @Florian can you mail mobile-l with subject "Lightning deploy needed" with the details to make sure we get this scheduled? Thanks dude! :-)

Seems @kaldari is SWAt deploying it now :)

Change 184976 merged by Kaldari:
Mobile: Conform to new LoggingSchema

https://gerrit.wikimedia.org/r/184976

Change 184085 merged by Kaldari:
Mobile: Conform to new LoggingSchema

https://gerrit.wikimedia.org/r/184085

Change 184084 abandoned by Kaldari:
Mobile: Conform to new LoggingSchema

Reason:
No longer needed.

https://gerrit.wikimedia.org/r/184084

Seems @kaldari is SWAt deploying it now :)

Oh, great, thanks @kaldari :)

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 7 2018, 4:26 AM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript